/********************************************************************************/
/*																				*/
/*	DEMO_DEFS.H																	*/
/* 																				*/
/*	(c) 2000 Hunt Engineering													*/
/*	    All Rights Reserved														*/
/*																				*/
/*  This file contains definitions and constants used in the PC code for the	*/
/*  demo.  Alter it if you want to change the demo text.		            	*/
/* 																				*/
/* 	Version		Date		Version Author	Comments							*/
/*	-------		----		--------------	--------							*/
/* 																				*/
/*		1.0		21-10-03	PW				FPGA imaging demo                   */
/* 																				*/
/********************************************************************************/


static TCHAR	START_COMMENT[] = {
					TEXT("HUNT ENGINEERING's HERON-FPGA modules can be used for Image processing. \n\n ")
					TEXT("HOW TO USE THIS DEMO.\n")
					TEXT("First choose the bitstream that is correct for your hardware ")
					TEXT("i.e. the module you have and the type of camera you have connected.\n")
					TEXT("Do this from the Setup -> Bitstream menu.\n")
					TEXT("Then select the slot that the module is fitted to in your system.\n")
					TEXT("Do this from the Setup -> Slot menu.\n")
					TEXT("Finally select Run.\n")
					};

static TCHAR	NO_COMMENT[] = {
					TEXT("HUNT ENGINEERING's HERON-FPGA modules can be used for Image processing. \n\n ")
					TEXT("Here we are simply capturing images from a camera and sending them to\n")
					TEXT("this demo program for display.\n")
					TEXT("Select one of the modes from the menus above, or choose self running\n")
					TEXT("from the setup menu\n")
					};

static TCHAR	VSOBEL_COMMENT[] = {
					TEXT("Vertical Sobel CONVOLUTION\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer general purpose ")
					TEXT("convolutions that can have their co-efficients downloaded using HSB, ")
					TEXT("and some that use specific pre-defined kernels that are ")
					TEXT("more efficient in their use of FPGA resources.\n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 100Mpixels/sec")
					};

static TCHAR	HSOBEL_COMMENT[] = {
					TEXT("Horizontal Sobel CONVOLUTION\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer general purpose ")
					TEXT("convolutions that can have their co-efficients downloaded using HSB, ")
					TEXT("and some that use specific pre-defined kernels that are ")
					TEXT("more efficient in their use of FPGA resources.\n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 100Mpixels/sec")
					};

static TCHAR	VPREWITT_COMMENT[] = {
					TEXT("Vertical Prewitt CONVOLUTION\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer general purpose ")
					TEXT("convolutions that can have their co-efficients downloaded using HSB, ")
					TEXT("and some that use specific pre-defined kernels that are ")
					TEXT("more efficient in their use of FPGA resources.\n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 100Mpixels/sec")
					};

static TCHAR	HPREWITT_COMMENT[] = {
					TEXT("Horizontal Prewitt CONVOLUTION\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer general purpose ")
					TEXT("convolutions that can have their co-efficients downloaded using HSB, ")
					TEXT("and some that use specific pre-defined kernels that are ")
					TEXT("more efficient in their use of FPGA resources.\n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 100Mpixels/sec")
					};

static TCHAR	LAPLACE_COMMENT[] = {
					TEXT("Laplacian filter CONVOLUTION\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer general purpose ")
					TEXT("convolutions that can have their co-efficients downloaded using HSB, ")
					TEXT("and some that use specific pre-defined kernels that are ")
					TEXT("more efficient in their use of FPGA resources.\n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 100Mpixels/sec")
					};

static TCHAR	LOWPASS_COMMENT[] = {
					TEXT("Low Pass Filter CONVOLUTION\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer general purpose ")
					TEXT("convolutions that can have their co-efficients downloaded using HSB, ")
					TEXT("and some that use specific pre-defined kernels that are ")
					TEXT("more efficient in their use of FPGA resources.\n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 100Mpixels/sec")
					};

static TCHAR	SHARPEN_COMMENT[] = {
					TEXT("Sharpen Image CONVOLUTION\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer general purpose ")
					TEXT("convolutions that can have their co-efficients downloaded using HSB, ")
					TEXT("and some that use specific pre-defined kernels that are ")
					TEXT("more efficient in their use of FPGA resources.\n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 100Mpixels/sec")
					};

static TCHAR	NOT_COMMENT[] = {
					TEXT("LOGICAL PIXEL OPERATIONS\n - NOT pixel values.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer logical operations ")
					TEXT("that can operate on a per pixel basis. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 500Mpixels/sec")
					};

static TCHAR	ANDK_COMMENT[] = {
					TEXT("LOGICAL PIXEL OPERATIONS\n - AND with a constant.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer logical operations ")
					TEXT("that can operate on a per pixel basis. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 500Mpixels/sec")
					};

static TCHAR	SQU_COMMENT[] = {
					TEXT("LOGICAL PIXEL OPERATIONS\n - Square the pixel values.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer logical operations ")
					TEXT("that can operate on a per pixel basis. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 100Mpixels/sec")
					};

static TCHAR	MPYK_COMMENT[] = {
					TEXT("LOGICAL PIXEL OPERATIONS\n - Multiply with a constant.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer logical operations ")
					TEXT("that can operate on a per pixel basis. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 100Mpixels/sec")
					};

static TCHAR	RSHK_COMMENT[] = {
					TEXT("LOGICAL PIXEL OPERATIONS\n - Right Shift pixel values.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer logical operations ")
					TEXT("that can operate on a per pixel basis. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 500Mpixels/sec")
					};

static TCHAR	LSHK_COMMENT[] = {
					TEXT("LOGICAL PIXEL OPERATIONS\n - Left Shift pixel values.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer logical operations ")
					TEXT("that can operate on a per pixel basis. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 500Mpixels/sec")
					};

static TCHAR	ADDK_COMMENT[] = {
					TEXT("LOGICAL PIXEL OPERATIONS\n - Add a constant.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer logical operations ")
					TEXT("that can operate on a per pixel basis. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 500Mpixels/sec")
					};

static TCHAR	ORK_COMMENT[] = {
					TEXT("LOGICAL PIXEL OPERATIONS\n - OR with a constant.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer logical operations ")
					TEXT("that can operate on a per pixel basis. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 500Mpixels/sec")
					};

static TCHAR	XORK_COMMENT[] = {
					TEXT("LOGICAL PIXEL OPERATIONS\n - XOR with a constant.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer logical operations ")
					TEXT("that can operate on a per pixel basis. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 500Mpixels/sec")
					};


static TCHAR	SUBK_COMMENT[] = {
					TEXT("LOGICAL PIXEL OPERATIONS\n - Subtract a constant.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer logical operations ")
					TEXT("that can operate on a per pixel basis. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 500Mpixels/sec")
					};


static TCHAR	FILLK_COMMENT[] = {
					TEXT("LOGICAL PIXEL OPERATIONS\n - Generate a fixed value image.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer logical operations ")
					TEXT("that can operate on a per pixel basis. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 500Mpixels/sec")
					};


static TCHAR	RAMP_COMMENT[] = {
					TEXT("LOGICAL PIXEL OPERATIONS\n - Generate a ramp test pattern.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer logical operations ")
					TEXT("that can operate on a per pixel basis. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 500Mpixels/sec")
					};


static TCHAR	LOAD_COMMENT[] = {
					TEXT("SDRAM OPERATIONS\n - Save a frame.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer operations ")
					TEXT("that can operate between images. This operation stored a ")
					TEXT("reference frame in SDRAM that will be used for the interframe functions.\n\n")
					};

static TCHAR	ADD_COMMENT[] = {
					TEXT("SDRAM OPERATIONS\n - ADD saved frame.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer operations ")
					TEXT("that can operate between images. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 450Mpixels/sec")
					};

static TCHAR	AND_COMMENT[] = {
					TEXT("SDRAM OPERATIONS\n - AND with saved frame.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer operations ")
					TEXT("that can operate between images. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 450Mpixels/sec")					
					};

static TCHAR	OR_COMMENT[] = {
					TEXT("SDRAM OPERATIONS\n - OR with saved frame.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer operations ")
					TEXT("that can operate between images. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 450Mpixels/sec")					
					};

static TCHAR	SUB_COMMENT[] = {
					TEXT("SDRAM OPERATIONS\n - Subtract saved frame.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer operations ")
					TEXT("that can operate between images. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 450Mpixels/sec")					
					};

static TCHAR	XOR_COMMENT[] = {
					TEXT("SDRAM OPERATIONS\n - XOR with saved frame.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer operations ")
					TEXT("that can operate between images. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 450Mpixels/sec")					
					};

static TCHAR	MPY_COMMENT[] = {
					TEXT("SDRAM OPERATIONS\n - MPY with saved frame.\n\n")
					TEXT("HUNT ENGINEERING's VHDL source modules for Imaging offer operations ")
					TEXT("that can operate between images. \n\n")
					TEXT("All of them can operate at pixel rate, which can be in excess of 450Mpixels/sec")					
					};

