/********************************************************************************/
/*																				*/
/*	globals.H							    									*/
/* 																				*/
/*	(c) 2000 Hunt Engineering													*/
/*	    All Rights Reserved														*/
/*																				*/
/*  This file contains the general definitions for the demo     				*/
/* 																				*/
/* 	Version		Date		Version Author	Comments							*/
/*	-------		----		--------------	--------							*/
/* 																				*/
/*		1.0		21-10-03	PW				FPGA imaging demo                   */
/* 																				*/
/********************************************************************************/


#ifndef globals_h
#define globals_h

#define FPGA_IMAGE  (WM_USER+0)
#define FPGA_STATUS (WM_USER+1)
/* Message Type Definitions */
#define MODULE_TYPE_QUERY	1
#define MODULE_TYPE_REPLY	2
#define SEND_BITSTREAM		3
#define USER_WRITE			8
#define USER_READ			9
#define USER_READ_REPLY		10
/* HSB Addresses */
#define PIXEL_START_LOW_ADDR	0
#define PIXEL_START_HIGH_ADDR	1
#define AUTO_ROI_VALID_ADDR     1
#define PIXEL_STOP_LOW_ADDR     2
#define PIXEL_STOP_HIGH_ADDR	3
#define LINE_START_LOW_ADDR		4
#define LINE_START_HIGH_ADDR	5
#define ACTIVE_PIXELS_ADDR      5
#define LINE_STOP_LOW_ADDR		6
#define LINE_STOP_HIGH_ADDR		7
#define FRAME_CONTROL_ADDR      8
#define CAM_CONTROL_ADDR        9
#define FIFO_NO_ADDR    		10
#define MODE_REG_ADDR			11
#define BAUD_RATE_ADDR			12
#define TX_SPACE_TO_WRITE_ADDR	13
#define TX_DATA_ADDR			13
#define RX_DATA_ADDR			14
#define RX_BYTES_TO_READ_ADDR	15
#define IMAGE_BLOCK_SEL         17
#define CAT1_CONST              18
#define K_A1                    19
#define READ_PIPELINE_STATS_LOW 20
#define K_A2					20
#define K_A3                    21
#define K_A4					22
#define K_A5					23
#define K_B1					24
#define READ_PIPELINE_STATS_HI  24
#define K_B2					25
#define K_B3					26
#define K_B4					27
#define K_B5					28
#define K_C1					29
#define K_C2					30
#define K_C3					31
#define K_C4					32
#define K_C5					33
#define K_D1					34
#define K_D2					35
#define K_D3					36
#define K_D4					37
#define K_D5					38
#define K_E1					39
#define K_E2					40
#define K_E3					41
#define K_E4					42
#define K_E5					43
#define SHIFT                   44

#define CAM_PIXEL_OFFSET		498
#define CAM_LINE_OFFSET			323
#define CAM_CONTROL				0xF
#define CAM_USE_DVAL			0
#define CAM_POLARITY			1

// Only set to 1 to use with Bayer output colour cameras
#define CAM_COLOUR_PICKER		0

#endif